﻿html, body {
    min-height: 100%;
}

    body.sub {
        background: linear-gradient(rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0.75)), url(../image/banner.jpg) no-repeat center center;
        background-size: cover;
    }

    body.home {
        background: linear-gradient(rgba(0, 0, 0, 0.2) 10%, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 1) 100%), url(../image/banner.jpg) no-repeat center center;
        background-size: cover;
    }

.nav_menu {
    background: transparent;
    border-bottom: none;
}

.top_nav .nav .open > a, .top_nav .nav .open > a:focus, .top_nav .nav .open > a:hover, .top_nav .nav > li > a:focus, .top_nav .nav > li > a:hover {
    background: none;
}

.nav.navbar-nav > li > a {
    color: #fff !important;
}

.login_form {
    background-color: white;
}

    .login_form .login_content {
        padding: 50px 40px;
    }

.reset_form {
    z-index: 21;
    opacity: 0;
    width: 100%;
    position: absolute;
    top: 0;
}

#signin:target ~ .login_wrapper .registration_form, #signup:target ~ .login_wrapper .login_form, #resetPass:target ~ .login_wrapper .login_form, #signin:target ~ .login_wrapper .reset_form {
    animation-name: fadeOutLeft;
}

#signin:target ~ .login_wrapper .login_form, #signup:target ~ .login_wrapper .registration_form, #resetPass:target ~ .login_wrapper .reset_form, #backLogin:target ~ .login_wrapper .login_form {
    z-index: 22;
    animation-name: fadeInLeft;
    animation-delay: .1s;
}

.nav-md .container.body .right_col, .main_container .top_nav {
    margin-left: 0 !important;
}

.nav-md .container.body .right_col {
    background-color: transparent;
}

.x_panel, .login_form {
    border-radius: 15px;
}

table.dataTable.no-footer {
    border-bottom: 1px solid #ddd;
}

table.dataTable thead th, table.dataTable thead td {
    border-bottom: none;
}

table.dataTable tbody tr.selected {
    background-color: linen;
}

/* Giả sử bảng của bạn có id là "myTable" */
#tbl_reponsive tbody tr,
#tbl_InfoEx tbody tr {
    line-height: 3!important; /* Tăng khoảng cách giữa các dòng */
}

#tbl_reponsive tbody td,
#tbl_InfoEx tbody td {
    text-align: center; /* Canh giữa nội dung theo chiều ngang */
    vertical-align: middle; /* Canh giữa theo chiều dọc */
    padding-top: 10px;
    padding-bottom: 10px;
}

#tbl_reponsive thead th,
#tbl_InfoEx thead th {
    text-align: center; /* Canh giữa header */
    vertical-align: middle;
}
div#tbl_InfoEx_wrapper table.dataTable thead th,
div#tbl_InfoEx_wrapper table.dataTable thead td {
    border-bottom: 1px solid #ddd !important;
     
}

div#tbl_InfoEx_wrapper table.dataTable tbody tr:first-child td {
    border-top: none !important;
}


footer {
    background-color: transparent;
}

    footer .address {
        color: white;
        text-align: center;
        line-height: 2;
        opacity: 0;
        animation: fadeIn 2s;
        animation-delay: 1s;
        animation-fill-mode: forwards;
    }

    footer .info {
        font-family: sans-serif
    }

.dt-body-right {
    text-align: right;
}

.dt-body-center {
    text-align: center;
}

.sorting_disabled::after {
    display: none !important;
}

a.EditColumInTb {
    color: blue;
    text-decoration: none;
}

    a.EditColumInTb:hover {
        text-decoration: underline;
        cursor: pointer;
        color: red;
    }

    a.EditColumInTb:active {
        color: red;
    }

.wrapok {
    white-space: normal !important;
}



td.details-control {
    background: url('../image/details_open.png') no-repeat center center;
    cursor: pointer;
}

tr.details td.details-control {
    background: url('../image/details_close.png') no-repeat center center;
}

.btnOrderStt {
    display: inline-block;
    text-decoration: none;
    color: black;
    width: 30px;
    height: 30px;
    /*line-height: 30px;*/
    font-size: 20px;
    border-radius: 50%;
    text-align: center;
    overflow: hidden;
    font-weight: bold;
    background-image: linear-gradient(#e8e8e8 0%, #d6d6d6 100%);
    text-shadow: 1px 1px 1px rgb(255 255 255 / 66%);
    box-shadow: inset 0 2px 0 rgb(255 255 255 / 50%), 0 2px 2px rgb(0 0 0 / 19%);
    border-bottom: solid 2px #b5b5b5;
    cursor: pointer;
}


.btndel {
    display: inline-block;
    text-decoration: none;
    color: black;
    width: 30px;
    height: 30px;
    line-height: 30px;
    font-size: 20px;
    border-radius: 50%;
    text-align: center;
    overflow: hidden;
    font-weight: bold;
    background-image: linear-gradient(#e8e8e8 0%, #d6d6d6 100%);
    text-shadow: 1px 1px 1px rgb(255 255 255 / 66%);
    box-shadow: inset 0 2px 0 rgb(255 255 255 / 50%), 0 2px 2px rgb(0 0 0 / 19%);
    border-bottom: solid 2px #b5b5b5;
    cursor: pointer;
}

.btnStt:hover {
    color: blue;
}

/*************************************************************************************************/
.nav li a .label {
    position: absolute;
    top: 10px;
    right: 12px;
    text-align: center;
    font-size: 9px;
    line-height: .9;
    border-radius: 10px;
    padding: 5px 4px;
    font-size: larger;

}

.navbar-nav > .messages-menu > .dropdown-menu {
    width: 330px;
    padding: 0 0 0 0;
    margin: 0;
    top: 100%;
    position: absolute;
    right: 0;
    left: auto;
    font-size: medium;
}

    .navbar-nav > .messages-menu > .dropdown-menu > li.header {
        border-top-left-radius: 4px;
        border-top-right-radius: 4px;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
        background-color: #ffffff;
        padding: 7px 10px;
        border-bottom: 1px solid #f4f4f4;
        color: #444444;
        font-size: 15px;
    }

    .navbar-nav > .messages-menu > .dropdown-menu > li.footer > a {
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        border-bottom-right-radius: 4px;
        border-bottom-left-radius: 4px;
        font-size: 12px;
        background-color: #fff;
        padding: 7px 10px;
        border-bottom: 1px solid #eeeeee;
        color: #444 !important;
        text-align: center;
    }

    .navbar-nav > .messages-menu > .dropdown-menu > li .menu {
        max-height: 50%;
        margin: 0;
        padding: 0;
        list-style: none;
        overflow-x: hidden;
    }

        .navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a {
            display: block;
            white-space: nowrap;
            border-bottom: 1px solid #f4f4f4;
            color: #444444;
            overflow: hidden;
            text-overflow: ellipsis;
            padding: 10px;
        }

            .navbar-nav > .messages-menu > .dropdown-menu > li .menu > li > a:hover {
                text-decoration: none;
                color: white;
                border-bottom: 1px solid #d83226;
                background-color: #d83226;
            }

.dropdown-submenu {
    position: relative;
}

    .dropdown-submenu > .dropdown-menu {
        top: 0;
        right: 100%;
        margin-top: -6px;
        margin-left: -1px;
        -webkit-border-radius: 0 6px 6px 6px;
        -moz-border-radius: 0 6px 6px 6px;
        border-radius: 0 6px 6px 6px;
    }

    .dropdown-submenu:hover > .dropdown-menu {
        display: block;
    }

    .dropdown-submenu > a:after {
        display: block;
        content: " ";
        float: right;
        width: 0;
        height: 0;
        border-color: transparent;
        border-style: solid;
        border-width: 5px 0 5px 5px;
        border-left-color: #cccccc;
        margin-top: 5px;
        margin-right: -10px;
    }

    .dropdown-submenu:hover > a:after {
        border-left-color: #ffffff;
    }

    .dropdown-submenu.pull-left {
        float: left;
    }

    .dropdown-submenu.pull-left > .dropdown-menu {
        right: -100%;
        margin-left: 10px;
        -webkit-border-radius: 6px 0 6px 6px;
        -moz-border-radius: 6px 0 6px 6px;
        border-radius: 6px 0 6px 6px;
    }

.dropdown-menu.dropdown-group {
    width: 220px;
}

.dropdown-group .dropdown-toggle .fa-chevron-down {
    float: right;
}


ul.dropdown-menu.menu-group {
   display: contents !important;
  
}

.dropdown-title {
    font-weight: bold; /* Tạo sự nổi bật cho tiêu đề */
    font-size: 18px; /* Tăng kích thước chữ cho tiêu đề */
    color: #007bff; /* Màu sắc khác biệt cho tiêu đề */
    padding: 10px 15px; /* Thêm khoảng cách để tiêu đề dễ nhìn */
    background-color: #f8f9fa; /* Màu nền sáng cho tiêu đề */
    border-radius: 4px; /* Làm mềm các góc */
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Thêm hiệu ứng bóng nhẹ */
  
}

.dropdown-menu > li > a {
   font-size:16px;
}

.dropdown-title1 {
    font-weight: bold; /* Tạo sự nổi bật cho tiêu đề */
    font-size: 18px; /* Tăng kích thước chữ cho tiêu đề */
    color: #007bff; /* Màu sắc khác biệt cho tiêu đề */
    padding: 10px 15px; /* Thêm khoảng cách để tiêu đề dễ nhìn */
    background-color: #f8f9fa; /* Màu nền sáng cho tiêu đề */
    border-top: 2px solid #ccc; /* Đường kẻ phía trên */
}

.flatpickr-calendar  {
    width: fit-content!important;
}

/* Chỉnh kích thước các số giờ và phút */
.flatpickr-time {
    width: 150px;
}
span.fa.fa-clock-o.form-control-feedback.left {
    z-index: 10;
}
.wide-textarea {
    width: 350px !important;
}

#dtApproval tbody td {
    vertical-align: middle; /* Căn giữa theo chiều dọc */
}


.reject-btn {
    border-bottom: none !important;
    text-decoration: none !important;
}


#myList li {
    display: none;
}

.top_nav li a i {
    font-size: 15px;
    margin-right: 10px;
}


#loadMore {
    color: green;
    cursor: pointer;
}

#loadMore:hover {
    color: black;
}
#tbModel_wrapper > .row{
    overflow: unset !important;
}
#tbMaintenSrcContract_wrapper > .row {
    overflow: unset !important;
}
#tbMaintenSrcTemporary_wrapper > .row {
    overflow: unset !important;
}

#dtboilerlst_wrapper > .row {
    overflow: unset !important;
}



#tbMaintenSrcSchedule tbody tr td {
    height:26px;
}
#tbMaintenSrcSchedule thead tr > th
{
    width: 181px !important ;
}
#tbMaintenSrcContract thead tr > th {
    /*width: 196px*/ /* !important;*/
}

#frmEditMaintenSrv .form-group {
    width: 99%;
}

#frmAddMaintenSrv .form-group {
    width: 99%;
}

#tbMaintenSrcTemporary,
#tbMaintenSrcContract,
#tbModel {
    margin-left: unset !important;
}
.lblDetail {
    font-weight: 100 !important;
}
.pointer{
    cursor:pointer;
}

.titleHeader {
    width: 100%;
    height: 56px;
    display: flex;
    justify-content: center;
    align-items: center;
}
#tbMnthMgmt tbody tr td {
    text-align: center;
}
.tbYearSrvlstTitle {
    width: 800px;
    display: inline-block;
}
#tbYearMgmt tbody tr td {
    text-align: center;
}

.badge {
    background-color: red;
    color: white;
    border-radius: 50%;
    padding: 5px 8px;
    font-size: 12px;
    position: absolute;
    top: 5px;
    right: 5px;
    display: none; /* Ẩn nếu không có đơn cần duyệt */
}
.min-w-column {
    min-width: 108px !important;
}



/*************************************************************************************************/
@media (min-width: 768px) {
    .modal-dialog {
        width: 730px;
    }
    /*#modal-id .modal-dialog {
        width: 1200px !important;
    }*/
}

@media (min-width: 992px) {
    footer {
        margin-left: 0;
        position: absolute;
        bottom: 20;
        left: 0;
        right: 0;
        font-size: 18px;
        font-weight: 300;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}
